<?php

namespace forolaravel\Http\Controllers;

use Illuminate\Http\Request;

use forolaravel\Http\Requests;

use forolaravel\respuestas;

use forolaravel\temas;

use Illuminate\Support\Facades\Redirect;

use forolaravel\Http\Requests\RespuFormRequest;

use forolaravel\Foro;

//use forolaravel\respuestas;

use DB;

class respuController extends Controller
{
  
public function __construct(){
     
     $this->middleware('auth');

    }

	

   public function comentarios(){
   	$idTema=$_GET['idTema'];
 $respuestas= DB::table('respuestas')
     ->select('respuestas.id')
     ->where('respuestas.idtema','=',$idTema)
     ->get();

 

     return view('pagina.temas.createComen',["temas"=> Foro::findOrFail($idTema)])->with(compact('respuestas','idTema')); 

   	 }

public function store(Request $request){
	$idTema=$_GET['idTema'];
     $respu= new respuestas;
     $respu->id=$request->get('descripcion');
     $respu->idtema=$idTema;
     $respu->save();

	$idTema=$_GET['idTema'];
 $respuestas= DB::table('respuestas')
     ->select('respuestas.id')
     ->where('respuestas.idtema','=',$idTema)
     ->get();

     return view('pagina.temas.createComen',["temas"=> Foro::findOrFail($idTema)])->with(compact('respuestas','idTema')); 
     
 }


public function destroy(){

  
 
  $descrip = $_GET['descripcion'];
     $descripcion = DB::table('respuestas')
     ->delete($descrip);

    
    $idTema = $_GET['idTema'];
        
 $respuestas= DB::table('respuestas')
     ->select('respuestas.id')
     ->where('respuestas.idtema','=',$idTema)
     ->get();

 

     return view('pagina.temas.createComen',["temas"=> Foro::findOrFail($idTema)])->with(compact('respuestas','idTema')); 


   

  // return Redirect::to('pagina/temas');

}

public function show(){


return Redirect::to('pagina/temas');

}


}
